{
  "name": "precaution-fe",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve --port 4201",
    "start:prod": "ng serve --open --port 4201 --proxy-config=proxy.prod.conf.json",
    "start:stage": "ng serve --open --port 4201 --proxy-config=proxy.stage.conf.json",
    "format": "prettier --write \"src/**/*.(ts|html|less)\"",
    "build": "ng build",
    "watch": "ng build --watch --configuration development",
    "publish:build": "gulp build",
    "publish:stage": "gulp stage",
    "publish:dev": "gulp dev",
    "test": "ng test"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^18.0.0",
    "@angular/common": "^18.0.0",
    "@angular/compiler": "^18.0.0",
    "@angular/core": "^18.0.0",
    "@angular/forms": "^18.0.0",
    "@angular/platform-browser": "^18.0.0",
    "@angular/platform-browser-dynamic": "^18.0.0",
    "@angular/router": "^18.0.0",
    "crypto-es": "^2.1.0",
    "dayjs": "^1.11.11",
    "ng-zorro-antd": "^18.0.1",
    "pinyin-pro": "^3.24.2",
    "rxjs": "~7.8.0",
    "ts-md5": "^1.3.1",
    "tslib": "^2.3.0",
    "xlsx-js-style": "^1.2.0",
    "zone.js": "~0.14.3"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^18.0.7",
    "@angular/cli": "^18.0.7",
    "@angular/compiler-cli": "^18.0.0",
    "@types/d3": "^7.4.3",
    "@types/jasmine": "~5.1.0",
    "autoprefixer": "^10.4.19",
    "echarts": "^5.5.1",
    "gulp": "^5.0.0",
    "gulp-shell": "^0.8.0",
    "gulp-zip": "^6.0.0",
    "jasmine-core": "~5.1.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "postcss": "^8.4.39",
    "prettier": "^3.3.3",
    "tailwindcss": "^3.4.4",
    "typescript": "~5.4.2"
  }
}
